#!/usr/bin/env python

import os
import gtk
import gtkmozembed as moz

url = "http://localhost:9009/"
env = os.environ
winWidth = int(env['winWidth'])
winHeight = int(env['winHeight'])
profileFolder = env['HOME']+'.prism/figuritas'
profileName = 'mcdhjyai.default'

#~ import sys
#~ sys.exit()

def get_size(widget, event):
	global Width
	global Height
	Width = event.width
	Height = event.height

def CloseWindow(widget):
    """Close the window and exit the app"""
    gtk.main_quit() # Close the app fully



# Set-up the main window which we're going to embed the widget into
win = gtk.Window() # Create a new GTK window called 'win'

win.set_title("Figuritas")
win.set_icon_from_file('/usr/share/pixmaps/figuritas.png')
win.set_position(gtk.WIN_POS_CENTER)

win.connect("configure-event", get_size)
win.connect("destroy", CloseWindow) # Connect the 'destroy' event to the 'CloseWindow' function, so that the app will quit properly when we press the close button

# Create the browser widget
moz.set_profile_path(profileFolder, profileName) # Set a temporary Mozilla profile (works around some bug)
browser = moz.MozEmbed() # Create the browser widget

# Set-up the browser widget before we display it
win.add(browser)
browser.load_url(url)
browser.show() # Try to show the browser widget before we show the window, so that the window appears at the correct size (600x400)

win.set_default_size(winWidth,winHeight)

win.show() # Show the window
gtk.main() # Enter the 'GTK mainloop', so that the GTK app starts to run

print Width,Height
